Unit tqsf9r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSF9R_p, QSF9R_p;

function tqsf9r: String;

implementation

function tqsf9r: String;
var
I,IERR :Integer;
PI0 :Real;
RINT :Array [0..9] of Real;
R :Array [0..14] of Real;
IND :Array [0..4] of Integer;
label
_1;
begin
Result := '';  {   }
PI0 := 1.5707963268;

for I:=0 to 9 do
 begin
  RINT[I] := 0.e0;
 end;

QSF9R(RINT,-PI0,PI0,FQSF9R,1.0,0.0,5,1.E-4,2,1,1,IND,R,IERR);
for I:=1 to 5 do
 begin
  Result := Result + Format('%2d %20.16f %20.16f %5d ',
 [I,RINT[(I-1)+0],RINT[(I-1)+5],IND[I-1]]) + #$0D#$0A;
_1:
 end;
UtRes('tqsf9r',Result);  {     tqsf9r.res }
exit;
end;

end.
